﻿#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.Windows.Shared;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.ScrollAxis;

namespace DataValidationDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.SelectionController = new GridSelectionControllerExt(dataGrid);
            this.dataGrid.EditTrigger = EditTrigger.OnDoubleTap;
        }
    }


    public class GSLV : SfDataGrid
    {
        protected override void OnKeyDown(KeyEventArgs e)
        {
            base.OnKeyDown(e);
        }

        protected override void OnKeyUp(KeyEventArgs e)
        {
            Console.WriteLine("Enter triggered");
            base.OnKeyUp(e);
        }

        protected override void OnMouseDoubleClick(MouseButtonEventArgs e)
        {
            this.OnKeyUp(new KeyEventArgs(Keyboard.PrimaryDevice, PresentationSource.FromVisual(this), 0, Key.Enter));
            //base.OnMouseDoubleClick(e);
        }
    }

    public class GridSelectionControllerExt : GridSelectionController
    {
        public GridSelectionControllerExt(SfDataGrid dataGrid) : base(dataGrid)
        {

        }

        public override bool HandleKeyDown(KeyEventArgs args)
        {
            if (args.Key == Key.Enter)
                return false;
            return base.HandleKeyDown(args);
        }

        public override void HandlePointerOperations(GridPointerEventArgs args, RowColumnIndex rowColumnIndex)
        {
            if (args.Operation == PointerOperation.DoubleTapped)
                return;
            else
                base.HandlePointerOperations(args, rowColumnIndex);
        }
    }
}
